Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.callsite
[Java] Class ConstructorSite

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.AbstractCallSite
          org.codehaus.groovy.runtime.callsite.MetaClassSite
              org.codehaus.groovy.runtime.callsite.ConstructorSite

    public class ConstructorSite
    extends MetaClassSite

Nested Class Summary
`static class` | `ConstructorSite.ConstructorSiteNoUnwrap` Call site where we know there is no need to unwrap arguments
`static class` | `ConstructorSite.ConstructorSiteNoUnwrapNoCoerce` Call site where we know there is no need neither unwrap nor coerce arguments
`static class` | `ConstructorSite.NoParamSite`
`static class` | `ConstructorSite.NoParamSiteInnerClass`

Field Summary

Fields inherited from class MetaClassSite
metaClass

Fields inherited from class AbstractCallSite
array, index, name

Constructor Summary
`ConstructorSite(CallSite site, MetaClassImpl metaClass, CachedConstructor constructor, java.lang.Class[] params)`

Method Summary
`java.lang.Object` | `callConstructor(java.lang.Object receiver, java.lang.Object[] args)`
`protected boolean` | `checkCall(java.lang.Object receiver, java.lang.Object[] args)`
`static ConstructorSite` | `createConstructorSite(CallSite site, MetaClassImpl metaClass, CachedConstructor constructor, java.lang.Class[] params, java.lang.Object[] args)`

Methods inherited from class AbstractCallSite
acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ConstructorSite

    public ConstructorSite(CallSite site, MetaClassImpl metaClass, CachedConstructor constructor, java.lang.Class[] params)

Method Detail

### callConstructor

    public java.lang.Object callConstructor(java.lang.Object receiver, java.lang.Object[] args)

### checkCall

    protected final boolean checkCall(java.lang.Object receiver, java.lang.Object[] args)

### createConstructorSite

    public static ConstructorSite createConstructorSite(CallSite site, MetaClassImpl metaClass, CachedConstructor constructor, java.lang.Class[] params, java.lang.Object[] args)

Groovy Documentation